#ifndef QFFWIDGET_H
#define QFFWIDGET_H

#include <QThread>
#include <QWidget>
#include <QDebug>
#include <QImage>
#include <QPixmap>
#include <QList>
#include <QTimer>
#include <QFile>
#include <QFileDialog>
#include "videodec.h"
namespace Ui {
class QFfWidget;
}

class QFfWidget : public QWidget
{
    Q_OBJECT

public:
    explicit QFfWidget(QWidget *parent = nullptr);
    ~QFfWidget();
    QThread *VideoDecThread=nullptr;
    VideoDec *OVideoDec=nullptr;
    QString FileName;
    QTimer *readTimer;
    int BUFFINDEX;

signals:
    void init_s();
    void play_s();
public slots:
    void showVideo();
private slots:
    void on_VideoPlay_clicked();

    void on_btnOpenFile_clicked();

private:
    Ui::QFfWidget *ui;
};

#endif // QFFWIDGET_H
